NAND_WRITE_SUBPAGE_H(9)

NAME
nand_write_subpage_hwecc - [REPLACABLE] hardware ECC based subpage write

SYNOPSIS

int nand_write_subpage_hwecc(struct mtd_info * mtd, struct nand_chip * chip, uint32_t offset, uint32_t data_len, const uint8_t * buf, int oob_required);

ARGUMENTS

mtd
    mtd info structure

chip
    nand chip info structure

offset
    column address of subpage within the page

data_len
    data length

buf
    data buffer

oob_required
    must write chip->oob_poi to OOB

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT